old_stalin
@old_stalin

Как решить проблему с хостом (pythonanywhere)?

Выкладываю своего бота на хост pythonanywhere.com, установил все библиотеки, загрузил все файлы, у меня все работает в пайчарме и бот запускается, тут при запуске вылетают ошибки:
Traceback (most recent call last):
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 936, in _wrap_create_connection
    return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
  File "/usr/lib/python3.8/asyncio/base_events.py", line 1017, in create_connection
    raise exceptions[0]
  File "/usr/lib/python3.8/asyncio/base_events.py", line 1002, in create_connection
    sock = await self._connect_sock(
  File "/usr/lib/python3.8/asyncio/base_events.py", line 916, in _connect_sock
    await self.sock_connect(sock, address)
  File "/usr/lib/python3.8/asyncio/selector_events.py", line 485, in sock_connect
    return await fut
  File "/usr/lib/python3.8/asyncio/selector_events.py", line 517, in _sock_connect_cb
    raise OSError(err, f'Connect call failed {address}')
ConnectionRefusedError: [Errno 111] Connect call failed ('162.159.128.233', 443)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/avanturer/bot_prom/corgi-bot.py", line 974, in <module>
    client.run(settings['token'])
  File "/home/avanturer/.local/lib/python3.8/site-packages/discord/client.py", line 708, in run
    return future.result()
  File "/home/avanturer/.local/lib/python3.8/site-packages/discord/client.py", line 687, in runner
    await self.start(*args, **kwargs)
  File "/home/avanturer/.local/lib/python3.8/site-packages/discord/client.py", line 650, in start
    await self.login(*args, bot=bot)
  File "/home/avanturer/.local/lib/python3.8/site-packages/discord/client.py", line 499, in login
    await self.http.static_login(token.strip(), bot=bot)
  File "/home/avanturer/.local/lib/python3.8/site-packages/discord/http.py", line 291, in static_login
    data = await self.request(Route('GET', '/users/@me'))
  File "/home/avanturer/.local/lib/python3.8/site-packages/discord/http.py", line 185, in request
    async with self.__session.request(method, url, **kwargs) as r:
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/client.py", line 1012, in __aenter__
    self._resp = await self._coro
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/client.py", line 480, in _request
    conn = await self._connector.connect(
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 858, in _create_connection
    _, proto = await self._create_direct_connection(
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 1004, in _create_direct_connection
    raise last_exc
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 980, in _create_direct_connection
    transp, proto = await self._wrap_create_connection(
  File "/home/avanturer/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 943, in _wrap_create_connection
    raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host discord.com:443 ssl:default [Connect call failed ('162.159.128.233', 443)]
  • Вопрос задан
  • 51 просмотр
Решения вопроса 1
shurshur
@shurshur
Для бесплатного использования список возможных доступных доменов ограничен белым списком https://www.pythonanywhere.com/whitelist/

(Хотя вижу что discord.com в него входит. Видимо, в список может не входить какой-то из новых IP-адресов discord.com)
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы